// View

view = new Object();


// method GET CANVAS
view.getCanvas = function() {
	return document.getElementById('mainCanvas');
}


// method CLEAR CANVAS
view.clearCanvas = function() {
	paintBoard.clear();
}


// method LOG MESSAGES
view.logMessages = function(text, type) {
	if (type == 1) {
		$("#received").append("<< " +text+"<br />");
		$("#received")[0].scrollTop = $("#received")[0].scrollHeight;
	} else {
		$("#sent").append(">> " +text+"<br />");
		$("#sent")[0].scrollTop = $("#sent")[0].scrollHeight;
	}
}


// method LOG CONNECTION
view.logConnection = function(text) {
	var date = new Date();
	var seconds = checkTime(date.getSeconds());
	var minutes = checkTime(date.getMinutes());
	var hour = checkTime(date.getHours());
	$("#connection").append("[" +hour + ":" + minutes + ":" + seconds + "] "+text+"<br />");
	$("#connection")[0].scrollTop = $("#connection")[0].scrollHeight;
}


// method LOG CLIENTS
view.logClients = function(guid, action) {
	if (action == 1) {
		$("#clients").append("<p id=\"guid_"+guid+"\">Client <b>#"+guid+"</b></p>");
		$("#clients")[0].scrollTop = $("#connection")[0].scrollHeight;
	} else {
		var div = document.getElementById("guid_" + guid);
		div.parentNode.removeChild(div);
	}
}


// method CLEAR CLIENTS
view.clearClients = function() {
	$("#clients").html("");
}


// method SWAP CONNECTION BUTTON
view.changeConnectStatus = function(type) {
	if (type == 1) {
		$("#disconnectBtn").hide();
		$("#connectBtn").removeAttr("disabled");
		$("#connectBtn").show();
	} else {
		$("#connectBtn").hide();
		$("#disconnectBtn").removeAttr("disabled");
		$("#disconnectBtn").show();
	}
}



function checkTime(i) {
    if (i < 10) {
        i = "0" + i;
    }
    return i;
}