// Init

var httpServer = require("./httpServer.js");
var ajaxHandler = require("./ajaxHandler.js");
var webSocketServer = require("./webSocketServer.js");


function init() {
	httpServer.init();
	httpServer.setAjaxHandlers(ajaxHandler);
	httpServer.start();

	webSocketServer.init(httpServer.getServer());
	webSocketServer.start();
	webSocketServer.initHandlers();
	
	ajaxHandler.startDisconnectCheckDaemon();
}


init();