// Controller

controller = new Object();


// method SET COMMAND HANDLERS
controller.setCommandHandlers = function() {
	$("#connectBtn").on( "click", function( event ) {
		$("#connectBtn").attr("disabled", "disabled");
		networkLayer.connect();
	});
	$("#disconnectBtn").on( "click", function( event ) {
		$("#disconnectBtn").attr("disabled", "disabled");
		networkLayer.disconnect();
	});
	$("#clearBtn").on( "click", function( event ) {
		view.clearCanvas();
	});
	$("#size").change(function() {
	    $( "#size option:selected" ).each(function() {
	    	paintBoard.lineSize = $( this ).text();
	    });
	}).trigger( "change" );
	$("#color").change(function() {
	    $( "#color option:selected" ).each(function() {
	    	paintBoard.lineColor = $( this ).text();
	    });
	}).trigger( "change" );
	
}


// method SET PAINTBOARD HANDLERS
controller.setPaintBoardHandlers = function() {
	$('#mainCanvas').mousedown(function (e) {
		this.mousePressed = true;
		paintBoard.draw(e.pageX - $(this).offset().left, e.pageY - $(this).offset().top, false);
	});
	$('#mainCanvas').mousemove(function (e) {
		if (this.mousePressed == true) {
			paintBoard.draw(e.pageX - $(this).offset().left, e.pageY - $(this).offset().top, true);
		}
	});
    $('#mainCanvas').mouseup(function (e) {
    	this.mousePressed = false;
    	networkLayer.sendData();
    });
	$('#mainCanvas').mouseleave(function (e) {
		this.mousePressed = false;
	});
}